<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license. If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @category   Forum
* @package    QuickTalk
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2008-2012 The PHP Group
* @license    http://www.php.net/license PHP License 3.0
* @version    2.1 build:20090819
* @since      File available since Release 1.0.0
* @deprecated File deprecated in Release 3.0.0
*/

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_adm.php'));
include(Translate('qtfm_rss.php'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$oVIP->selfurl = 'qtfm_rss_adm.php';
$oVIP->selfname = $L['rss']['Admin'];
$strPageversion = $L['rss']['Version'].' 2.1';

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) )
{
  // check others
  if ( empty($error) )
  {
    $_SESSION[QT]['m_rss'] = $_POST['rss'];
    $_SESSION[QT]['m_rss_conf'] = $_POST['rssuser'].' '.$_POST['rssformat'].' '.$_POST['rsssize'];
  }

  // save value
  if ( empty($error) )
  {
    $oDB->Query('UPDATE '.TABSETTING.' SET setting="'.$_SESSION[QT]['m_rss'].'" WHERE param="m_rss"');
    $oDB->Query('UPDATE '.TABSETTING.' SET setting="'.$_SESSION[QT]['m_rss_conf'].'" WHERE param="m_rss_conf"');
    // exit
    $strInfo = $L['S_save'];
  }
}

// --------
// HTML START
// --------

$bJava=false;

include('qtf_adm_p_header.php');
include('qtf_adm_p_title.php');

// read values
if ( !isset($_SESSION[QT]['m_rss_conf']) )
{
  $arr = GetParam(true,'param="m_rss_conf"');
  if ( empty($arr) ) die('<span class="error">Parameters not found. The module is probably not installed properly.</span><br/><br/><a href="qtf_adm_index.php">&laquo;&nbsp;'.$L['Exit'].'</a>');
}
if ( !isset($_SESSION[QT]['m_rss']) )
{
  $arr = GetParam(true,'param="m_rss"');
  if ( empty($arr) ) die('<span class="error">Parameters not found. The module is probably not installed properly.</span><br/><br/><a href="qtf_adm_index.php">&laquo;&nbsp;'.$L['Exit'].'</a>');
}

$arrConf = explode(' ',$_SESSION[QT]['m_rss_conf']);
$strUser = $arrConf[0];
$strForm = $arrConf[1];
$strSize = $arrConf[2];

// FORM

echo '
<form method="post" action="',$oVIP->selfurl,'">
';

echo '<h2>',$L['Module_status'],'</h2>';
echo '<table class="data_o" cellspacing="0">';
echo '<tr class="data_o">';
echo '<td class="th_o th_o_first" style="width:200px;"><span class="txt_head">',$L['Module_status'],'</span></td>';
if ($_SESSION[QT]['m_rss']=='1')
{
  echo '<td class="td_o">&nbsp;</td>';
  echo '<td class="td_o" style="text-align:center; background-color:#AAFFAA"><b>',$L['On_line'],'</b></td>';
}
else
{
  echo '<td class="td_o">&nbsp;</td>';
  echo '<td class="td_o" style="text-align:center; background-color:#FFAAAA"><b>',$L['Off_line'],'</b></td>';
}
echo '<td class="td_o" style="text-align:right">';
echo $L['Change'],'&nbsp;<select id="rss" name="rss">';
echo '<option value="1"',($_SESSION[QT]['m_rss']=='1' ? QSEL : ''),'>',$L['On_line'],'</option>';
echo '<option value="0"',($_SESSION[QT]['m_rss']=='0' ? QSEL : ''),'>',$L['Off_line'],'</option>';
echo '</select>';
echo '</td>';
echo '</tr>';
echo '</table>',N;

echo '<h2>',$L['Adm_settings'],'</h2>',N;
echo '<table class="data_o" cellspacing="0">',N;
echo '<tr class="data_o">',N;
echo '<td class="th_o th_o_first" style="width:200px"><label for="rssuser">',$L['rss']['User'],'</label></td>';
echo '<td class="td_o"><select id="rssuser" name="rssuser">';
echo '<option value="V"',($strUser=='V' ? QSEL : ''),'>',$L['rss']['All_users'],'</option>';
echo '<option value="U"',($strUser=='U' ? QSEL : ''),'>',$L['rss']['Members_only'],'</option>';
echo '</select></td>';
echo '<td class="td_o"><span class="help">',$L['rss']['H_User'],'</span></td>';
echo '</tr>',N;
echo '<tr class="data_o">',N;
echo '<td class="th_o th_o_first"><label for="rssformat">',$L['rss']['Format'],'</label></td>';
echo '<td class="td_o"><select id="rssformat" name="rssformat">';
echo '<option value="2"',($strForm=='2' ? QSEL : ''),'>RSS 2.0</option>';
echo '<option value="atom"',($strForm=='atom' ? QSEL : ''),'>Atom</option>';
echo '</select></td>';
echo '<td class="td_o"><span class="help">',$L['rss']['H_Format'],'</span></td>';
echo '</tr>',N;
echo '<tr class="data_o">',N;
echo '<td class="th_o th_o_first"><label for="rsssize">',$L['rss']['Size'],'</label></td>';
echo '<td class="td_o"><select id="rsssize" name="rsssize">';
echo '<option value="1"',($strSize=='1' ? QSEL : ''),'>1</option>';
echo '<option value="2"',($strSize=='2' ? QSEL : ''),'>2</option>';
echo '<option value="3"',($strSize=='3' ? QSEL : ''),'>3</option>';
echo '<option value="4"',($strSize=='4' ? QSEL : ''),'>4</option>';
echo '<option value="5"',($strSize=='5' ? QSEL : ''),'>5</option>';
echo '</select></td>';
echo '<td class="td_o"><span class="help">',$L['rss']['H_Size'],'</span></td>';
echo '</tr>',N;

echo '<tr class="data_o">',N;
echo '<td class="th_o th_o_first">&nbsp;</td>';
echo '<td class="td_o"><input type="submit" name="ok" value="',$L['Save'],'"/></td>';
echo '<td class="td_o">&nbsp;</td>';
echo '</td>
</tr>
</table>
</form>
';

// HTML END

include('qtf_adm_p_footer.php');

?>