<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license.  If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @category   Forum
* @package    QuickTalk
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2008-2012 The PHP Group
* @version    2.1 build:20090819
* @since      File available since Release 1.0.0
* @deprecated File deprecated in Release 3.0.0
*/

session_start();
require_once('bin/qtf_init.php');
include(Translate('qtf_adm.php'));
if ( $oVIP->role!='A' ) die($L['E_admin']);

// INITIALISE

$strVersion='v2.1';

$oVIP->selfurl = 'qtfm_rss_install.php';
$oVIP->selfname = 'Installation module RSS '.$strVersion;

$bStep0 = true;
$bStep1 = true;
$bStep2 = true;
if ( isset($_SESSION[QT]['m_rss']) ) unset($_SESSION[QT]['m_rss']);
if ( isset($_SESSION[QT]['m_rss_conf']) ) unset($_SESSION[QT]['m_rss_conf']);

// STEP 0: check version

$strQTF = QTFVERSION; if ( substr(QTFVERSION,0,1)=='v') $strQTF = substr(QTFVERSION,1);
$arrQTF = explode('.',$strQTF);
if ( intval($arrQTF[0])<2 ) $error="Your QuickTalk version is $strQTF. Please, upgrade to QuickTalk 2.1 before installing this module...";
if ( !empty($error) ) $bStep0 = false;

// STEP 1

if ( empty($error) )
{
  if ( !file_exists('qtfm_rss.php') )     $error='Missing file: qtfm_rss.php<br/>This module cannot be used.';
  if ( !file_exists('qtfm_rss_adm.php') ) $error='Missing file: qtfm_rss_adm.php<br/>This module cannot be used.';
  if ( !file_exists('qtfm_rss_inc.php') ) $error='Missing file: qtfm_rss_inc.php<br/>This module cannot be used.';
  if ( !empty($error) ) $bStep1 = false;
}

// STEP 2

if ( empty($error) )
{
  $strFile = 'rss';
  if ( !is_dir($strFile) )
  {
  $error='Missing directory '.$strFile.': First create this directory and make it writable.<br/>This module cannot be used because a writable directory is mandatory.';
  }
  else
  {
  if ( !is_writable($strFile) ) $error='Directory '.$strFile.' is not writable.<br/>This module cannot be used because a writable directory is mandatory.';
  }
  if ( !empty($error) ) $bStep2 = false;
}

// INSTALL

if ( empty($error) )
{
  $oDB->Query('DELETE FROM '.TABSETTING.' WHERE param="module_rss" OR param="m_rss" OR param="m_rss_conf"');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("module_rss","RSS","1")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("m_rss","0","1")');
  $oDB->Query('INSERT INTO '.TABSETTING.' (param,setting,loaded) VALUES ("m_rss_conf","V 2.0 3","1")');
  $_SESSION[QT]['module_rss'] = "RSS";
  $_SESSION[QT]['m_rss'] = "0";
  $_SESSION[QT]['m_rss_conf'] = "V 2.0 3";
}

// --------
// Html start
// --------

include('qtf_adm_p_header.php');

echo '
<h1>',$oVIP->selfname,'</h1>
';
if ( !$bStep0 )
{
  echo '<p class="error">',$error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}
echo '<h2>Checking components</h2>';
if ( !$bStep1 )
{
  echo '<p class="error">',$error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Checking rss subdirectory</h2>';
if ( !$bStep2 )
{
  echo '<p class="error">',$error,'</p>';
  include('qtf_adm_p_footer.php');
  exit;
}
echo '<p>Ok</p>';
echo '<h2>Database settings</h2>';
echo '<p>Ok</p>';
echo '<h2>Installation completed</h2>';

include('qtf_adm_p_footer.php');

?>
